* Step 1: Build input dataset;
data example_input;
   infile datalines delimiter=','; 
   input study_code $ ingredient $ label_amount unit $;
   datalines;                      
01,calcium,200,mg
;
run;

* Step 2: Export to JSON file;
proc json out="G:/dsid_furmanm/api_sas/replicate/api_input.json" nosastags;
	export example_input;
run;

* Step 3: Set up filepaths;
filename myinput "G:/dsid_furmanm/api_sas/replicate/api_input.json";
filename myoutput "G:/dsid_furmanm/api_sas/replicate/api_output.json";

* Step 4: Send POST API request;
proc http
	method="POST"
	url="https://dsid-api-dev.app.cloud.gov/v1/calculators"
	in=myinput
	out=myoutput
	ct="application/json";
run;

* Step 5: View output;
libname jsonlib JSON fileref=myoutput; 
data results_table;
	set jsonlib.root;
run;
